/**
 * Site module for Craft CMS
 *
 * Site CSS
 *
 * @package   SsomModule
 * @since     1.0.0
 */

/*#main-content #content {
  background-color: #0a73bb;
}*/

/*.detail-wrapper {
  padding: 2px 10px 30px;
  border-bottom: thin solid lightgrey;
  margin: auto 20px;
}*/

.matrixblock.deleted {
  background-color: #e4edf6 !important;
}

.tableview td {
  vertical-align: middle;
}

.cp-header {
  display: flex;
}

.cp-header-title {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.cp-header-icon {
  width: 100px;
  height: 100px;
  border: 1px solid #ddd;
  border-radius: 10px;
  box-shadow: 0 0 0 2px rgba(205, 216, 228, 0.5);
  margin-right: 20px;
  background-color: #eee;
  background-size: cover;
  background-position: center center;
}

.cp-header-icon.round {
  border-radius: 50px;
}

.user-avatar {
  width: 36px;
  height: 36px;
  border-radius: 50%;
  background-color: #ddd;
  display: inline-block;
}

.user-avatar.user-musician,
.cp-header-icon.user-musician {
  border: 2px solid gold;
}

.stats-cards-item {
  padding: 0.5rem 0;
  display: flex;
}

.stats-cards-item:first-child {
  padding-top: 0;
}

.stats-value {
  font-size: 5rem;
  background-color: #f4f4f4;
  display: block;
  line-height: 5rem;
  border-radius: 0.5rem;
  padding: 0.5rem 1rem;
  width: 9.5rem;
  text-align: right;
}

.stats-label-group {
  margin-left: 0.5rem;
  margin-top: 2.5rem;
}

.stats-label {
  font-weight: 600;
  font-size: 1rem;
}

.stats-link {
  display: block;
}

.card {
  margin-bottom: 10px;
  box-shadow: 0 0 0 1px rgba(205, 216, 228, 0.25), 0 2px 12px rgba(205, 216, 228, 0.5);
}

.card-header {
  padding: 20px;
  display: flex;
  align-items: center;
}

.card-header .icon {
  margin-right: 10px;
}

.card-header .title {
  flex: 1;
}

.card-header .title .meta {
  padding: 0;
}

.card-body {
  padding: 0 20px 20px 20px;
}

.card-body {
  display: flex;
}


.card-body div:first-child {
  margin-right: 20px;
}

.card-body div:last-child {
  flex: 1;
}

.card.comment-reply {
  margin-left: 60px;
}

.card.inactive .card-header .icon,
.card.inactive .card-header .title,
.card.inactive .card-body {
  opacity: 0.4;
  filter: grayscale(100%);
}

.ssom.progress {
  margin-bottom: 14px;
}

.ssom .progress-bar {
  background-color: #f4f4f4;
  border-radius: 5px;
}

.ssom .progress-bar-success {
  background-color: #f00;
  height: 14px;
  border-radius: 5px;
}

.progress-header {
  display: flex;
  margin-bottom: 4px;
}

.progress-header .title {
  flex: 1;
}

.ssom.grid .item {
  padding: 20px;
}

.comment-photo {
  max-width: 100px;
  max-height: 100px;
  border-radius: 10px;
}

.badges-groups-list {
  display: flex;
  flex-wrap: wrap;
}

.badges-groups-list-item {
  display: flex;
  flex-direction: column;
  margin-bottom: 50px;
  margin-right: 40px;
}

.badges-groups-list-item h2 {
  white-space: nowrap;
}

.badges-list {
  display: flex;
  list-style: none;
}

.badges-list-item {
  display: flex;
  flex-direction: column;
  list-style: none;
  align-items: center;
  margin-right: 10px;
  max-width: 90px;
  text-align: center;
}

.badge-image {
  display: inline-block;
  width: 80px;
  height: 80px;
  border-radius: 40px;
  box-shadow: 0 0 0 2px rgba(205, 216, 228, 0.5);
  background-size: cover;
  margin-bottom: 6px;
}

ul.photo-grid {
  display: flex;
  flex-wrap: wrap;
}

ul.photo-grid li {
  height: 20vh;
  flex-grow: 1;
  padding: 1px;
}

ul.photo-grid li:last-child {
  flex-grow: 10;
}

ul.photo-grid li img {
  max-height: 100%;
  min-width: 100%;
  object-fit: cover;
  vertical-align: bottom;
}

.membership-choices {
  display: flex;
}

.tableview td .badge,
#details-container .meta .badge,
.privacy-settings-list .badge {
  flex-shrink: 1;
  padding: 4px 8px;
  font-size: 11px;
  line-height: 16px;
  border-radius: 10px;
  background-color: #999;
  color: #fff;
  text-transform: uppercase;
}

.tableview td .badge.status-processing,
#details-container .meta .badge.status-processing {
  background-color: #e8c46c;
}

.tableview td .badge.status-sent,
#details-container .meta .badge.status-sent,
.privacy-settings-list .badge.status-on {
  background-color: #a6d291;
}

.comment-deleted {
  text-decoration: line-through;
}

dl.privacy-settings-list {
  display: flex;
}

.privacy-settings-list dt,
.privacy-settings-list dd {
  padding: 3px 0;
  flex: 1;
}
